# areaPath

This configuration section contains settings to configure how the test case *area path* field should be updated.

Read more about the setting the *area path* and *iteration path* fields in the [Add new test cases to an Area or an Iteration](/specsync/features/push-features/add-new-test-cases-to-an-area-or-an-iteration.md) concept description.

The following example shows the available options within this sub-section.

```javascript
{
  ...
  "synchronization": {
    ...
    "areaPath": {
      "mode": "setOnLink",
      "value": "\\MyArea"
    },
    ...
  },
  ...
}
```

The `areaPath` setting is a shortcut for configuring the [`synchronization/fieldUpdates` section](/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-fieldupdates.md). The example above is equivalent to the following `fieldUpdates` setting:

```javascript
{
  "synchronization": {
    "fieldUpdates": {
      "System.AreaPath": {
        "value": "project-name\\MyArea",
        "update": "onCreate"
      }
    }
  },
}
```

## Settings

| Setting | Description                                                                                                                                                                                                                                                                                                                                                        | Default                        |
| ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------ |
| `mode`  | <p>Specifies how the area path of the test case should be updated. Available options: <code>notSet</code> and <code>setOnLink</code>. (Default: <code>notSet</code>)</p><ul><li><code>notSet</code>: the path is not set</li><li><code>setOnLink</code>: set the path when the test case created and linked to the scenario, but not to update later on.</li></ul> | `notSet`                       |
| `value` | The area path to set for test cases (e.g. `\\MyArea`). The project name prefix can be omitted.                                                                                                                                                                                                                                                                     | mandatory for mode `setOnLink` |

{% content-ref url="/pages/-LVwFCLmwNCOYz1dKMTr" %}
[synchronization](/specsync/reference/configuration/configuration-synchronization.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LVwFCLiKB3ACJLwVZGP" %}
[Configuration reference](/specsync/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-areapath.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
